## org.hibernate.mapping
Class Set

    java.lang.Object
      org.hibernate.mapping.Collection
          org.hibernate.mapping.Set

All Implemented Interfaces:
  Serializable, Fetchable, Filterable, Value

    public class Set

extends Collection

A set with no nullable element columns. It will have a primary key consisting of all table columns (ie. key columns + element columns).

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.mapping.Collection
`DEFAULT_ELEMENT_COLUMN_NAME, DEFAULT_KEY_COLUMN_NAME`

Constructor Summary
`Set(Mappings mappings, PersistentClass owner)`

Method Summary
`Object` `accept(ValueVisitor visitor)`
`CollectionType` `getDefaultCollectionType()`
`boolean` `isSet()`
`void` `validate(Mapping mapping)`

Methods inherited from class org.hibernate.mapping.Collection

`addFilter, addManyToManyFilter, createAllKeys, createForeignKey, getBatchSize, getCacheConcurrencyStrategy, getCacheRegionName, getCollectionPersisterClass, getCollectionTable, getCollectionType, getColumnInsertability, getColumnIterator, getColumnSpan, getColumnUpdateability, getComparator, getComparatorClassName, getCustomSQLDelete, getCustomSQLDeleteAll, getCustomSQLDeleteAllCheckStyle, getCustomSQLDeleteCheckStyle, getCustomSQLInsert, getCustomSQLInsertCheckStyle, getCustomSQLUpdate, getCustomSQLUpdateCheckStyle, getElement, getElementNodeName, getFetchMode, getFilterMap, getKey, getLoaderName, getManyToManyFilterMap, getManyToManyOrdering, getManyToManyWhere, getMappings, getNodeName, getOrderBy, getOwner, getOwnerEntityName, getReferencedPropertyName, getRole, getSynchronizedTables, getTable, getType, getTypeName, getTypeParameters, getWhere, hasFormula, hasOrder, hasOrphanDelete, isAlternateUniqueKey, isArray, isCustomDeleteAllCallable, isCustomDeleteCallable, isCustomInsertCallable, isCustomUpdateCallable, isEmbedded, isExtraLazy, isIdentified, isIndexed, isInverse, isLazy, isMap, isMutable, isNullable, isOneToMany, isOptimisticLocked, isPrimitiveArray, isSimpleValue, isSorted, isSubselectLoadable, isValid, setBatchSize, setCacheConcurrencyStrategy, setCacheRegionName, setCollectionPersisterClass, setCollectionTable, setComparator, setComparatorClassName, setCustomSQLDelete, setCustomSQLDeleteAll, setCustomSQLInsert, setCustomSQLUpdate, setElement, setElementNodeName, setEmbedded, setExtraLazy, setFetchMode, setInverse, setKey, setLazy, setLoaderName, setManyToManyOrdering, setManyToManyWhere, setMutable, setNodeName, setOptimisticLocked, setOrderBy, setOrphanDelete, setOwner, setReferencedPropertyName, setRole, setSorted, setSubselectLoadable, setTypeName, setTypeParameters, setTypeUsingReflection, setWhere, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Set

    public Set(Mappings mappings,
               PersistentClass owner)

Method Detail

### validate

    public void validate(Mapping mapping)
                  throws MappingException

  Overrides:
    `validate` in class `Collection`
  Throws:
    `MappingException`

### isSet

    public boolean isSet()

  Overrides:
    `isSet` in class `Collection`

### getDefaultCollectionType

    public CollectionType getDefaultCollectionType()

  Specified by:
    `getDefaultCollectionType` in class `Collection`

### accept

    public Object accept(ValueVisitor visitor)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.